Audit Logs

Get environment audit logs

GET
/api/v1/envs/{envId}/audit-logs

Get feature flag and segment audit logs for a specific environment, with optional filtering and pagination.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

envId*string
Formatuuid

Query Parameters

Query?string

The part of the keyword/comment of an audit log

CreatorId?string

The creator id

Formatuuid
RefId?string

The referenced resource id, such as feature flag id or segment id

RefType?string

The referenced resource type. Can be one of the following: "FeatureFlag" or "Segment"

From?|

The start time of the audit log creation time range, in unix milliseconds

Match^-?(?:0|[1-9]\d*)$
Formatint64
To?|

The end time of the audit log creation time range, in unix milliseconds

Match^-?(?:0|[1-9]\d*)$
Formatint64
CrossEnvironment?boolean

Whether to query logs across environments. By default, we only query logs in the specified environment (the current environment). Only set this to true if you want to query logs for a shared-segment.

PageIndex?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
PageSize?|
Match^-?(?:0|[1-9]\d*)$
Formatint32

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-logs"
{  "success": true,  "errors": [    "string"  ],  "data": null}